	                                                                                                                                                                                                                        
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">

function pon_prefijo(cdgbar,dscart,pre001,cob_iv,cantidad,dsccli,tipart,existencia,pasillo, estante, desmin, desmax, ivporc) {
	parent.document.formulario_lineas.dsccli2.value=dsccli;
	parent.document.formulario_lineas.cdgbar.value=cdgbar;  
	parent.document.formulario_lineas.tipart.value=tipart;
	parent.document.formulario_lineas.existencia.value=existencia;
	parent.document.formulario_lineas.pasillo.value=pasillo;
	parent.document.formulario_lineas.estante.value=estante;
	parent.document.formulario_lineas.dscart.value=dscart;
	parent.document.formulario_lineas.preivi.value=pre001;
	parent.document.formulario_lineas.cantidad.value=cantidad;
	parent.document.formulario_lineas.desmin.value=desmin;
	parent.document.formulario_lineas.desmax.value=desmax;
	parent.document.formulario_lineas.ivporc.value=ivporc;
	parent.document.formulario.cob_iv.value=cob_iv;
		parent.chequea_articulo(tipart);
	

    
}


function limpiar() {
	parent.document.formulario_lineas.dsccli2.value="";
	parent.document.formulario_lineas.cdgbar.value="";
	parent.document.formulario_lineas.dscart.value="";
	parent.document.formulario_lineas.existencia.value="";
	parent.document.formulario_lineas.pasillo.value="";
	parent.document.formulario_lineas.estante.value="";
	parent.document.formulario_lineas.tipart.value="";
	parent.document.formulario_lineas.preivi.value="";
	parent.document.formulario_lineas.desmin.value="";
	parent.document.formulario_lineas.ivporc.value="";
	parent.document.formulario_lineas.desmax.value="";
	parent.document.formulario_lineas.cantidad.value="1.00";
	parent.document.formulario.cob_iv.value="";
	parent.document.getElementById("cdgbar").focus();


}

</script>
<?php include ("../conexion.php");  ?>
<body>
 <?php
	$cantidad=$_GET["cantidad"];
	$cdgcli=$_GET["cdgcli"];
 echo 	$cdgbar=$_GET["cdgbar"];
	$dsccli=$_GET["dsccli"];

$consulta = "SELECT * FROM web_0301 WHERE cdgcli='$cdgcli'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();
$tippre= $fila["TIPPRE"];
$dsccli= $fila["DSCCLI"];
  $descuento= $fila["descli"];
  $cliespecial= $fila["cliespecial"];


	 
	 $consulta2 = "SELECT * FROM web_1001 WHERE cdgbar='$cdgbar' OR cdgbar2='$cdgbar' ";
     $resultado2 = $mysqli->query($consulta2);
    $fila = $resultado2->fetch_array();
     $nrs = $resultado2->num_rows;

        $cdgbar = $fila["CDGBAR"];
        $dscart = $fila["DSCART"];

		
				if ($tippre==1) {                  ///////////////////////////////        tipo de precio normal /////////////
        $pre001 = $fila["PRE001"];
			} elseif ($tippre==2){  
		$pre001 = $fila["PRE002"];
			} elseif ($tippre==3){  
		$pre001 = $fila["PRE003"];
		}
		
		
		$exiact = $fila["EXIACT"];
		$existencia = $fila["EXIACT"];
		$cob_iv = $fila["COB_IV"];
		$tipart = $fila["tipart"];
		$desmin= $fila["desmin"];
		$desmax= $fila["desmax"];
     	$pasillo= $fila["pasillo"];
		$estante= $fila["estante"];
		$ivporc= $fila["ivporc"]/100+1;
	 
	 	$desfac = $fila["DESFAC"];
		$cosart = $fila["cosart"];


  if ($cliespecial == "S" ) { // SI EL CLIENTE ES ESPECIAL  // 1 %      
 
 $desfac = $desfac /100 ;
 $descu= $cosart *  $desfac; 
 $costo_sin_descuento = $cosart -  $descu;
	if ($cob_iv==1) { $cosart= $costo_sin_descuento*$ivporc; } else {  $cosart= $costo_sin_descuento; }
	
	$pre001 =  $cosart * 1.01;
		
	
  }    // CIERRA CLIENTE  ESPECIAL //
	 
	 	if ($cob_iv==1) {       //////////////////    si paga impuestos /////////////////

	if ($nrs>0) {         //  si encuentra algo //////////

		?>
		<script languaje="javascript">
	pon_prefijo('<?php echo $cdgbar ?>',' <?php echo htmlspecialchars( $dscart )?>',' <?php echo $pre001/$ivporc ?>' , ' <?php echo $cob_iv ?> ', ' <?php echo $cantidad ?>', ' <?php echo $dsccli ?>', ' <?php echo $tipart ?>', ' <?php echo $existencia ?>', ' <?php echo $pasillo ?>' , ' <?php echo $estante ?>',' <?php echo $desmin ?>', ' <?php echo $desmax ?>', ' <?php echo $ivporc ?>');


		 <?php
			if ($tipart==2) {            ///////////////  si encontro codigo o o 1 ///////////////
			?>
					parent.document.getElementById("dscart").focus();
					parent.document.getElementById("dscart").select();
		 <?php
		} else {                                        /////////////////  sino es o o 1  /////////////////////////
		?>
					parent.document.getElementById("cantidad").focus();
					parent.document.getElementById("cantidad").select();
				
		 <?php
			}                                          ////////////////////cierra 0 y 1  ///////////////////////////
		
		?>
		

		</script>
		 <?php 
		} else {                                      /////////////////////////   sino encontro lineas  //////////////
	
 ?>
	<script>
	alert ("No existen articulos registrados con este codigo");
				parent.document.getElementById("cdgbar").focus();
				parent.document.getElementById("cdgbar").select();
	limpiar();
	</script>


	 <?php 
 }                                                  ///////////////////  cierra que no encontro lineas ///////////////////


			} else {                              /////////////////////////   sino  no paga impuestos ////////////////
	
	

	if ($nrs>0) {           ////////////////////////////// si  encontro lineas /////////////////////////

		?>
		<script languaje="javascript">
	pon_prefijo('<?php echo $cdgbar ?>',' <?php echo htmlspecialchars( $dscart )?>',' <?php echo $pre001?>' , ' <?php echo $cob_iv ?> ', ' <?php echo $cantidad ?>', ' <?php echo $dsccli ?>', ' <?php echo $tipart ?>', ' <?php echo $existencia ?>', ' <?php echo $pasillo ?>' , ' <?php echo $estante ?>',' <?php echo $desmin ?>', ' <?php echo $desmax ?>', ' <?php echo $ivporc ?>');


		 <?php
			if ($tipart==2) {              //////////////////////si codigo es 0 o 1   /////////////////////////
			?>
						parent.document.getElementById("dscart").focus();
					parent.document.getElementById("dscart").select();
		 <?php 
		} else {                                        ////////////////////////// si codigo no es o ni 1 ///////////////////// 
		?>
						parent.document.getElementById("cantidad").focus();
					parent.document.getElementById("cantidad").select();
				
		 <?php
			}                                               ///////////////////////// cierra  0 y 1 ////////////////////////
		
		?>
		

		</script>
		 <?php 
		} else {                                         ////////////////////////////////sino encuentra lineas /////////////////
	
 ?>
	<script>
	alert ("No existen articulos registrados con este codigo");
				parent.document.getElementById("cdgbar").focus();
				parent.document.getElementById("cdgbar").select();
	limpiar();
	</script>


	 <?php 
 }                                                      //////////////////////////////////// cierra q no encontro lineas ///////////
 }                                               /////////////////////////////////////cierra  que no paga impuestos ////////////
	

	




	
?>
</div>
</body>
</html>
